## IAnjutaFile

IAnjutaFile — Implemented by plugins that can open files.

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_file_error_quark ()
GFile * | ianjuta_file_get_file ()
void | ianjuta_file_open ()

## Signals

void | opened | Run Last

## Types and Values

#define | IANJUTA_FILE_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaFile

## Includes

    #include <libanjuta/interfaces/ianjuta-file.h>

## Description

Any plugin that can open files should implemented this interface. Along with the 'File Loader::SupportedMimeTypes' property of the plugin in .plugin file, it will be used by the loader to open files of that type.

## Functions

### ianjuta_file_error_quark ()

    GQuark
    ianjuta_file_error_quark (void);

### ianjuta_file_get_file ()

    GFile *
    ianjuta_file_get_file (IAnjutaFile *obj,
                           GError **err);

Returns the file that was opened with `ianjuta_file_open()`.

#### Parameters

obj | Self |
err | Error propagation and reporting |

#### Returns

The last file opened.

[transfer full]

### ianjuta_file_open ()

    void
    ianjuta_file_open (IAnjutaFile *obj,
                       GFile *file,
                       GError **err);

The implementor opens the given file.

#### Parameters

obj | Self |
file | file to open. |
err | Error propagation and reporting |

## Types and Values

### IANJUTA_FILE_ERROR

    #define IANJUTA_FILE_ERROR ianjuta_file_error_quark()

## Signal Details

### The `“opened”` signal

    void
    user_function (IAnjutaFile *obj,
                   gpointer     user_data)

This signal is emitted when the content is loaded completely.

#### Parameters

obj | Self |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

## See Also

IAnjutaFileSavable